Package org.eclipse.rdf4j.sail.shacl.wrapper.shape

## Interface ShapeSource

- All Superinterfaces:
    `AutoCloseable`
  All Known Implementing Classes:
    `BackwardChainingShapeSource`, `CombinedShapeSource`, `ForwardChainingShapeSource`, `RepositoryConnectionShapeSource`, `SailConnectionShapeSource`

      public interface ShapeSource
      extends AutoCloseable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `ShapeSource.Predicates` |
    `static class` | `ShapeSource.ShapesGraph` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Model` | `DASH_CONSTANTS` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `Resource[]` | `getActiveContexts()` |
    `Stream<ShapeSource.ShapesGraph>` | `getAllShapeContexts()` |
    `Stream<Statement>` | `getAllStatements​(Resource id)` |
    `Stream<Value>` | `getObjects​(Resource subject, ShapeSource.Predicates predicate)` |
    `Value` | `getRdfFirst​(Resource subject)` |
    `Resource` | `getRdfRest​(Resource subject)` |
    `Stream<Resource>` | `getSubjects​(ShapeSource.Predicates predicate)` |
    `Stream<Resource>` | `getTargetableShape()` |
    `boolean` | `isType​(Resource subject, IRI type)` |
    `ShapeSource` | `withContext​(Resource[] context)` |

- - ### Field Detail

    - #### DASH_CONSTANTS

          static final Model DASH_CONSTANTS

  - ### Method Detail

    - #### withContext

          ShapeSource withContext​(Resource[] context)

    - #### getActiveContexts

          Resource[] getActiveContexts()

    - #### getAllShapeContexts

          Stream<ShapeSource.ShapesGraph> getAllShapeContexts()

    - #### getTargetableShape

          Stream<Resource> getTargetableShape()

    - #### isType

          boolean isType​(Resource subject,
                         IRI type)

    - #### getSubjects

          Stream<Resource> getSubjects​(ShapeSource.Predicates predicate)

    - #### getObjects

          Stream<Value> getObjects​(Resource subject,
                                   ShapeSource.Predicates predicate)

    - #### getAllStatements

          Stream<Statement> getAllStatements​(Resource id)

    - #### getRdfFirst

          Value getRdfFirst​(Resource subject)

    - #### getRdfRest

          Resource getRdfRest​(Resource subject)

    - #### close

          void close()

      Specified by:
        `close` in interface `AutoCloseable`